g2: PostScript

- Main Page
- Modules
- Files
- Related Pages

# PostScript
[g2 Physical devices]

## Enumerations

enum

g2_PS_paper {
g2_A0, g2_A1, g2_A2, g2_A3,
g2_A4, g2_A5, g2_A6, g2_A7,
g2_A8, g2_A9, g2_B0, g2_B1,
g2_B2, g2_B3, g2_B4, g2_B5,
g2_B6, g2_B7, g2_B8, g2_B9,
g2_B10, g2_Comm_10_Envelope, g2_C5_Envelope, g2_DL_Envelope,
g2_Folio, g2_Executive, g2_Letter, g2_Legal,
g2_Ledger, g2_Tabloid
}

enum | g2_PS_orientation { g2_PS_land, g2_PS_port }

## Functions

G2L int | g2_open_PS (const char *file_name, enum g2_PS_paper paper, enum g2_PS_orientation orientation)
G2L int | g2_open_EPSF (const char *file_name)
G2L int | g2_open_EPSF_CLIP (const char *file_name, long width, long height)

## Enumeration Type Documentation

enum g2_PS_orientation

g2 paper orientation.

Enumerator:

  g2_PS_land | landscape
  g2_PS_port | portrait

enum g2_PS_paper

g2 paper type.

Enumerator:

  g2_A0 | A0 2384 x 3370
  g2_A1 | A1 1684 x 2384
  g2_A2 | A2 1191 x 1684
  g2_A3 | A3 842 x 1191
  g2_A4 | A4 595 x 842
  g2_A5 | A5 420 x 595
  g2_A6 | A6 297 x 420
  g2_A7 | A7 210 x 297
  g2_A8 | A8 148 x 210
  g2_A9 | A9 105 x 148
  g2_B0 | B0 2920 x 4127
  g2_B1 | B1 2064 x 2920
  g2_B2 | B2 1460 x 2064
  g2_B3 | B3 1032 x 1460
  g2_B4 | B4 729 x 1032
  g2_B5 | B5 516 x 729
  g2_B6 | B6 363 x 516
  g2_B7 | B7 258 x 363
  g2_B8 | B8 181 x 258
  g2_B9 | B9 127 x 181
  g2_B10 | B10 91 x 127
  g2_Comm_10_Envelope | Comm #10 Envelope 297 x 684
  g2_C5_Envelope | C5 Envelope 461 x 648
  g2_DL_Envelope | DL Envelope 312 x 624
  g2_Folio | Folio 595 x 935
  g2_Executive | Executive 522 x 756
  g2_Letter | Letter 612 x 792
  g2_Legal | Legal 612 x 1008
  g2_Ledger | Ledger 1224 x 792
  g2_Tabloid | Tabloid 792 x 1224

## Function Documentation

G2L int g2_open_EPSF | ( | const char * | file_name | ) |

Create an encapsulated PS device.

Parameters:

  | file_name | postscript file name

Returns:
  physical device id

G2L int g2_open_EPSF_CLIP | ( | const char * | file_name,
|  | long | width,
|  | long | height
| ) |

Create an encapsulated PS device with clipping.

Parameters:

  | file_name | postscript file name
  | width | clipping region width
  | height | clipping region height

Returns:
  physical device id

G2L int g2_open_PS | ( | const char * | file_name,
|  | enum g2_PS_paper | paper,
|  | enum g2_PS_orientation | orientation
| ) |

Create a PS device.

Parameters:

  | file_name | postscript file name
  | paper | paper type, see g2_PS_paper and appendix Appendix
  | orientation | paper orientation, see g2_PS_orientation

Returns:
  physical device id